gimp-debug-tool-2.0 crashed with SIGSEGV in __GI_____strtol_l_internal()

Bug #1894790 reported by corrado venturini
16
This bug affects 3 people
Affects Status Importance Assigned to Milestone
gimp (Ubuntu)
Invalid
Undecided
Unassigned

Bug Description

Click on GIMP icon: gimp does not start but i have this crash.

corrado@corrado-n4-gg-0905:~$ apt policy gimp
gimp:
  Installed: 2.10.18-1build1
  Candidate: 2.10.18-1build1
  Version table:
 *** 2.10.18-1build1 500
        500 http://archive.ubuntu.com/ubuntu groovy/universe amd64 Packages
        100 /var/lib/dpkg/status
corrado@corrado-n4-gg-0905:~$ inxi -Fx
System: Host: corrado-n4-gg-0905 Kernel: 5.8.0-18-generic x86_64 bits: 64 compiler: N/A Desktop: N/A
           Distro: Ubuntu 20.10 (Groovy Gorilla)
Machine: Type: Laptop System: Dell product: Inspiron 3793 v: N/A serial: <superuser/root required>
           Mobo: Dell model: 0C1PF2 v: A00 serial: <superuser/root required> UEFI: Dell v: 1.5.0
           date: 12/17/2019
Battery: ID-1: BAT0 charge: 22.9 Wh condition: 37.1/42.0 Wh (88%) model: SWD-ATL3.618 DELL WJPC403
           status: Charging
CPU: Info: Quad Core model: Intel Core i5-1035G1 bits: 64 type: MT MCP arch: Ice Lake rev: 5
           L2 cache: 6144 KiB
           flags: avx avx2 lm nx pae sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx bogomips: 19046
           Speed: 2318 MHz min/max: 400/3600 MHz Core speeds (MHz): 1: 2619 2: 3421 3: 3214 4: 1097
           5: 2698 6: 3053 7: 2754 8: 2095
Graphics: Device-1: Intel Iris Plus Graphics G1 vendor: Dell driver: i915 v: kernel bus ID: 00:02.0
           Device-2: Realtek Integrated_Webcam_HD type: USB driver: uvcvideo bus ID: 1-6:3
           Display: x11 server: X.Org 1.20.8 driver: modesetting unloaded: fbdev,vesa
           resolution: 1920x1080~60Hz
           OpenGL: renderer: Mesa Intel UHD Graphics (ICL GT1) v: 4.6 Mesa 20.1.5 direct render: Yes
Audio: Device-1: Intel Smart Sound Audio vendor: Dell driver: snd_hda_intel v: kernel bus ID: 00:1f.3
           Sound Server: ALSA v: k5.8.0-18-generic
Network: Device-1: Realtek RTL810xE PCI Express Fast Ethernet vendor: Dell driver: r8169 v: kernel
           port: 3000 bus ID: 01:00.0
           IF: enp1s0 state: down mac: 98:e7:43:59:19:19
           Device-2: Qualcomm Atheros QCA9377 802.11ac Wireless Network Adapter vendor: Dell
           driver: ath10k_pci v: kernel port: 3000 bus ID: 02:00.0
           IF: wlp2s0 state: up mac: d8:12:65:b8:21:b9
           Device-3: Qualcomm Atheros type: USB driver: btusb bus ID: 1-10:4
Drives: Local Storage: total: 476.94 GiB used: 9.18 GiB (1.9%)
           ID-1: /dev/nvme0n1 vendor: Toshiba model: KBG40ZNS512G NVMe KIOXIA 512GB size: 476.94 GiB
Partition: ID-1: / size: 31.25 GiB used: 7.95 GiB (25.5%) fs: ext4 dev: /dev/nvme0n1p4
Swap: ID-1: swap-1 type: partition size: 8.00 GiB used: 0 KiB (0.0%) dev: /dev/nvme0n1p2
Sensors: System Temperatures: cpu: 55.0 C mobo: N/A
           Fan Speeds (RPM): cpu: 0
Info: Processes: 272 Uptime: 53m Memory: 7.55 GiB used: 1.60 GiB (21.2%) Init: systemd runlevel: 5
           Compilers: gcc: N/A Packages: 1804 Shell: Bash v: 5.0.17 inxi: 3.1.06
corrado@corrado-n4-gg-0905:~$

ProblemType: Crash
DistroRelease: Ubuntu 20.10
Package: gimp 2.10.18-1build1
ProcVersionSignature: Ubuntu 5.8.0-18.19-generic 5.8.4
Uname: Linux 5.8.0-18-generic x86_64
ApportVersion: 2.20.11-0ubuntu45
Architecture: amd64
CasperMD5CheckResult: skip
CurrentDesktop: ubuntu:GNOME
Date: Tue Sep 8 08:32:12 2020
ExecutablePath: /usr/lib/gimp/gimp-debug-tool-2.0
InstallationDate: Installed on 2020-09-05 (2 days ago)
InstallationMedia: Ubuntu 20.10 "Groovy Gorilla" - Alpha amd64 (20200905)
ProcCmdline: /usr/lib/gimp/gimp-debug-tool-2.0 gimp-2.10 5088 fatal\ error Segmentation\ fault /home/username/.config/GIMP/2.10/CrashLog/GIMP-crash-1599546731.txt
SegvAnalysis:
 Segfault happened at: 0x7f57faef7d1a <__GI_____strtol_l_internal+58>: movsbq 0x0(%r13),%rax
 PC (0x7f57faef7d1a) ok
 source "0x0(%r13)" (0x00000000) not located in a known VMA region (needed readable region)!
 destination "%rax" ok
SegvReason: reading NULL VMA
Signal: 11
SourcePackage: gimp
StacktraceTop:
 __GI_____strtol_l_internal (nptr=0x0, endptr=0x0, base=10, group=<optimized out>, loc=0x7f57fb096960 <_nl_C_locobj>) at ../stdlib/strtol_l.c:292
 main ()
Title: gimp-debug-tool-2.0 crashed with SIGSEGV in __GI_____strtol_l_internal()
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin lxd plugdev sambashare sudo
separator:

Revision history for this message
corrado venturini (corradoventu) wrote :
information type: Private → Public
tags: removed: need-amd64-retrace
Revision history for this message
corrado venturini (corradoventu) wrote :

Starting gimp from terminal I see:

corrado@corrado-n4-gg-0905:~$ gimp
GEGL-Message: 08:39:24.322: Module '/usr/lib/x86_64-linux-gnu/gegl-0.4/exr-save.so' load error: /usr/lib/x86_64-linux-gnu/gegl-0.4/exr-save.so: undefined symbol: _ZN7Imf_2_36HeaderC1EiifRKN9Imath_2_34Vec2IfEEfNS_9LineOrderENS_11CompressionE
GEGL-Message: 08:39:24.325: Module '/usr/lib/x86_64-linux-gnu/gegl-0.4/exr-load.so' load error: /usr/lib/x86_64-linux-gnu/gegl-0.4/exr-load.so: undefined symbol: _ZN7Imf_2_314ChromaticitiesC1ERKN9Imath_2_34Vec2IfEES5_S5_S5_
Gtk-Message: 08:39:24.346: Failed to load module "canberra-gtk-module"
thread '<unnamed>' panicked at 'cannot access a Thread Local Storage value during or after destruction: AccessError', /usr/src/rustc-1.43.0/src/libstd/thread/local.rs:239:9
note: run with `RUST_BACKTRACE=1` environment variable to display a backtrace
fatal runtime error: failed to initiate panic, error 5
gimp: fatal error: Aborted
26 ../sysdeps/unix/sysv/linux/read.c: No such file or directory.
corrado@corrado-n4-gg-0905:~$

Revision history for this message
corrado venturini (corradoventu) wrote :

on a different partition with GIMP at same level Gim start fine and I see:

corrado@corrado-n7-gg-0714:~$ gimp
GEGL-Message: 08:50:03.851: Module '/usr/lib/x86_64-linux-gnu/gegl-0.4/exr-load.so' load error: /usr/lib/x86_64-linux-gnu/gegl-0.4/exr-load.so: undefined symbol: _ZN7Imf_2_314ChromaticitiesC1ERKN9Imath_2_34Vec2IfEES5_S5_S5_
GEGL-Message: 08:50:03.886: Module '/usr/lib/x86_64-linux-gnu/gegl-0.4/exr-save.so' load error: /usr/lib/x86_64-linux-gnu/gegl-0.4/exr-save.so: undefined symbol: _ZN7Imf_2_36HeaderC1EiifRKN9Imath_2_34Vec2IfEEfNS_9LineOrderENS_11CompressionE
Gtk-Message: 08:50:03.900: Failed to load module "canberra-gtk-module"
Plug-in "xsane"
(/usr/lib/gimp/2.0/plug-ins/xsane/xsane) is installing procedure "xsane" with a full menu path "<Toolbox>/File/Acquire/XSane/Device dialog..." as menu label, this deprecated and will be an error in GIMP 3.0
corrado@corrado-n7-gg-0714:~$ apt policy gimp
gimp:
  Installed: 2.10.18-1build1
  Candidate: 2.10.18-1build1
  Version table:
 *** 2.10.18-1build1 500
        500 http://archive.ubuntu.com/ubuntu groovy/universe amd64 Packages
        100 /var/lib/dpkg/status
corrado@corrado-n7-gg-0714:~$

Revision history for this message
corrado venturini (corradoventu) wrote :
Download full text (13.8 KiB)

On a different partition before updates Gimp start fine but after updates I have the same error:

corrado@corrado-n7-gg-0714:~$ gimp
GEGL-Message: 08:50:03.851: Module '/usr/lib/x86_64-linux-gnu/gegl-0.4/exr-load.so' load error: /usr/lib/x86_64-linux-gnu/gegl-0.4/exr-load.so: undefined symbol: _ZN7Imf_2_314ChromaticitiesC1ERKN9Imath_2_34Vec2IfEES5_S5_S5_
GEGL-Message: 08:50:03.886: Module '/usr/lib/x86_64-linux-gnu/gegl-0.4/exr-save.so' load error: /usr/lib/x86_64-linux-gnu/gegl-0.4/exr-save.so: undefined symbol: _ZN7Imf_2_36HeaderC1EiifRKN9Imath_2_34Vec2IfEEfNS_9LineOrderENS_11CompressionE
Gtk-Message: 08:50:03.900: Failed to load module "canberra-gtk-module"
Plug-in "xsane"
(/usr/lib/gimp/2.0/plug-ins/xsane/xsane) is installing procedure "xsane" with a full menu path "<Toolbox>/File/Acquire/XSane/Device dialog..." as menu label, this deprecated and will be an error in GIMP 3.0
corrado@corrado-n7-gg-0714:~$ apt policy gimp
gimp:
  Installed: 2.10.18-1build1
  Candidate: 2.10.18-1build1
  Version table:
 *** 2.10.18-1build1 500
        500 http://archive.ubuntu.com/ubuntu groovy/universe amd64 Packages
        100 /var/lib/dpkg/status
corrado@corrado-n7-gg-0714:~$ sudo apt update && sudo apt upgrade
[sudo] password for corrado:
Hit:1 http://archive.ubuntu.com/ubuntu groovy InRelease
Hit:2 http://archive.ubuntu.com/ubuntu groovy-updates InRelease
Hit:3 http://archive.ubuntu.com/ubuntu groovy-backports InRelease
Hit:4 http://archive.ubuntu.com/ubuntu groovy-security InRelease
Reading package lists... Done
Building dependency tree
Reading state information... Done
30 packages can be upgraded. Run 'apt list --upgradable' to see them.
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages have been kept back:
  guile-2.2-libs
The following packages will be upgraded:
  alsa-utils cpp-10 cups cups-bsd cups-client cups-common cups-core-drivers cups-daemon cups-ipp-utils cups-ppdc cups-server-common gcc-10-base
  gir1.2-javascriptcoregtk-4.0 gir1.2-rsvg-2.0 gir1.2-webkit2-4.0 gnome-calendar iw libcc1-0 libcups2 libcupsimage2 libgcc-s1 libgfortran5 libgomp1
  libjavascriptcoregtk-4.0-18 libquadmath0 librsvg2-2 librsvg2-common libstdc++6 libwebkit2gtk-4.0-37
29 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
Need to get 34,1 MB of archives.
After this operation, 252 kB of additional disk space will be used.
Do you want to continue? [Y/n]
Get:1 http://archive.ubuntu.com/ubuntu groovy/main amd64 cpp-10 amd64 10.2.0-6ubuntu1 [8.056 kB]
Get:2 http://archive.ubuntu.com/ubuntu groovy/main amd64 libquadmath0 amd64 10.2.0-6ubuntu1 [146 kB]
Get:3 http://archive.ubuntu.com/ubuntu groovy/main amd64 libgomp1 amd64 10.2.0-6ubuntu1 [102 kB]
Get:4 http://archive.ubuntu.com/ubuntu groovy/main amd64 libgfortran5 amd64 10.2.0-6ubuntu1 [736 kB]
Get:5 http://archive.ubuntu.com/ubuntu groovy/main amd64 gcc-10-base amd64 10.2.0-6ubuntu1 [19,6 kB]
...

Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gimp (Ubuntu):
status: New → Confirmed
Revision history for this message
corrado venturini (corradoventu) wrote :
Download full text (19.2 KiB)

after today updates GIMP works again.

corrado@corrado-n4-gg-0905:~$ sudo apt update && sudo apt upgrade
[sudo] password for corrado:
Get:1 http://archive.ubuntu.com/ubuntu groovy InRelease [267 kB]
Hit:2 http://archive.ubuntu.com/ubuntu groovy-updates InRelease
Hit:3 http://archive.ubuntu.com/ubuntu groovy-backports InRelease
Hit:4 http://archive.ubuntu.com/ubuntu groovy-security InRelease
Get:5 http://archive.ubuntu.com/ubuntu groovy/main amd64 DEP-11 Metadata [474 kB]
Get:6 http://archive.ubuntu.com/ubuntu groovy/universe amd64 Packages [8.858 kB]
Get:7 http://archive.ubuntu.com/ubuntu groovy/universe Translation-en [5.266 kB]
Get:8 http://archive.ubuntu.com/ubuntu groovy/universe amd64 DEP-11 Metadata [3.709 kB]
Get:9 http://archive.ubuntu.com/ubuntu groovy/universe DEP-11 64x64 Icons [7.890 kB]
Get:10 http://archive.ubuntu.com/ubuntu groovy/multiverse amd64 DEP-11 Metadata [44,5 kB]
Get:11 http://archive.ubuntu.com/ubuntu groovy/multiverse DEP-11 64x64 Icons [161 kB]
Fetched 26,7 MB in 13s (2.011 kB/s)
Reading package lists... Done
Building dependency tree
Reading state information... Done
47 packages can be upgraded. Run 'apt list --upgradable' to see them.
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages were automatically installed and are no longer required:
  libffi7 libmozjs-68-0
Use 'sudo apt autoremove' to remove them.
The following NEW packages will be installed:
  libffi8ubuntu1 libmozjs-78-0
The following packages will be upgraded:
  at-spi2-core firefox firefox-locale-en firefox-locale-it gir1.2-atspi-2.0 gir1.2-freedesktop
  gir1.2-glib-2.0 gir1.2-pango-1.0 gjs guile-2.2-libs libatspi2.0-0 libgirepository-1.0-1 libgjs0g
  libglib-object-introspection-perl libglib2.0-0 libglib2.0-bin libglib2.0-data libllvm10 libp11-kit0
  libpango-1.0-0 libpangocairo-1.0-0 libpangoft2-1.0-0 libpangoxft-1.0-0 libpython3.8
  libpython3.8-minimal libpython3.8-stdlib libwayland-client0 libwayland-cursor0 libwayland-egl1
  libwayland-server0 p11-kit p11-kit-modules python3-cffi-backend python3-gi python3-gi-cairo
  python3.8 python3.8-minimal thunderbird thunderbird-gnome-support thunderbird-locale-en
  thunderbird-locale-en-gb thunderbird-locale-en-us thunderbird-locale-it ubuntu-desktop
  ubuntu-desktop-minimal ubuntu-minimal ubuntu-standard
47 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Need to get 143 MB of archives.
After this operation, 48,8 MB of additional disk space will be used.
Do you want to continue? [Y/n]
Get:1 http://archive.ubuntu.com/ubuntu groovy/main amd64 libpython3.8 amd64 3.8.5-2ubuntu1 [1.610 kB]
Get:2 http://archive.ubuntu.com/ubuntu groovy/main amd64 python3.8 amd64 3.8.5-2ubuntu1 [373 kB]
Get:3 http://archive.ubuntu.com/ubuntu groovy/main amd64 libpython3.8-stdlib amd64 3.8.5-2ubuntu1 [1.725 kB]
Get:4 http://archive.ubuntu.com/ubuntu groovy/main amd64 python3.8-minimal amd64 3.8.5-2ubuntu1 [1.824 kB]
Get:5 http://archive.ubuntu.com/ubuntu groovy/main amd64 libpython3.8-minimal amd64 3.8...

tags: added: need-amd64-retrace
Revision history for this message
Apport retracing service (apport) wrote : Crash report cannot be processed

Thank you for your report!

However, processing it in order to get sufficient information for the
developers failed as the report has a core dump which is invalid. The
corruption may have happened on the system which the crash occurred or during
transit.

Thank you for your understanding, and sorry for the inconvenience!

Changed in gimp (Ubuntu):
status: Confirmed → Invalid
tags: removed: need-amd64-retrace
tags: added: need-amd64-retrace
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers